## pmix 5.0.0~rc1

=== debian/changelog ===
pmix (5.0.0~rc1-2) unstable; urgency=medium

  * Remove obsolete breaks/replaces for trixie 
  * Build-dep on python3-setuptools instead od pyhon3-distutils
  * Delete .gitmodules, to stop network access via 'git submodules status'
    call in autogen.pl
  * B-D on python3-sphinx, python3-sphinx-rtd-theme, python3-recommonmark
    to build docs

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Jun 2023 12:20:46 +0100

pmix (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * configure.patch: configuration fixes
  * Standards-Version: 4.6.2
  * Ship man pages, html in libpmix-dev package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 26 Apr 2023 07:36:38 +0100

pmix (4.2.3~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2023 08:21:13 +0000

=== debian/control ===
Source: pmix
Section: net
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
 dh-sequence-python3,
 chrpath,
 flex,
 bison,
 libfl-dev,
 python3-all-dev,
 cython3,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-recommonmark,
 libpsm-infinipath1-dev [amd64 i386],
 libucx-dev [amd64 arm64 ppc64el],
 libpsm2-dev [amd64],
 libcurl4-gnutls-dev | libcurl-dev,
 libhwloc-dev,
 zlib1g-dev,
 libevent-dev,
 libjansson-dev,
 libltdl-dev,
 libmunge-dev [ !hurd-i386]
Standards-Version: 4.6.2
Homepage: https://github.com/pmix/pmix
Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest

Package: libpmix-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
Description: Development files for the PMI Exascale library  
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.
 
Package: libpmix2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc-plugins
Description: Process Management Interface (Exascale) library
 This is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. PMIx aims to retain transparent compatibility with the existing
 PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
 the Instant On initiative for rapid startup of applications at exascale
 and beyond.


Package: libpmix-bin
Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: Process Management Interface (Exascale) library - tools
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides utilities for working with pmix.

Package: python3-pmix
Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
Architecture: any
Multi-Arch: foreign
Recommends: libpmix-dev
Description: Process Management Interface (Exascale) library - Python wrapper
 PMIX is the OpenMPI implementation of the Process Management Interface (PMI)
 Exascale API. This package provides Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1


DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
AUTOGENERATED:= pmix-mca-params.conf
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC

PSM_ARCH= amd64 i386
UCX_ARCH= amd64 arm64 ppc64el
PSM2_ARCH= amd64 
PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM2_ARCH)), --with-psm2, )
UCX:=  $(if $(filter $(DEB_TARGET_ARCH),$(UCX_ARCH)), --with-ucx=/usr, )


ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel sh4 m68k ))
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
  export DEB_CFLAGS_MAINT_APPEND += -g1
endif

export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)

# Do not embed build username or build system hostname, see README
export HOSTNAME=hostname
export USER=username

%:
	dh $@ 

BUILD_FLAGS:= \
	$(PSM2) \
	$(UCX) \
	--prefix=$(LIBDIR)/pmix2 \
	--libdir=$(LIBDIR)/pmix2/lib \
	--includedir=$(LIBDIR)/pmix2/include \
	--sysconfdir=$(LIBDIR)/pmix2/share \
	--datarootdir=$(LIBDIR)/pmix2/share \
	--with-curl \
	--with-zlib=/usr \
	--with-zlib-libdir=$(LIBDIR) \
	--with-jansson-libdir=$(LIBDIR) \
	--with-hwloc=/usr \
	--with-hwloc-libdir=$(LIBDIR) \
	--enable-python-bindings 

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
	rm -rf debian/static-build debian/shared-build
	rm -f .gitmodules

override_dh_autoreconf:
	./autogen.pl --force
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done

override_dh_auto_configure:
	dh_auto_configure --builddirectory=debian/static-build -- $(BUILD_FLAGS) \
		--enable-static 
	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
		--enable-shared

override_dh_auto_build:
	# Hack - build system doesn't work well with builddirs
	cp include/*.h debian/static-build/include
	cp include/*.h debian/shared-build/include
	cp debian/static-build/include/pmix_version.h include
	cp bindings/python/pmix.* debian/static-build/bindings/python
	cp bindings/python/pmix.* debian/shared-build/bindings/python
	dh_auto_build  --builddirectory=debian/static-build
	dh_auto_build  --builddirectory=debian/shared-build

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/static-build
	dh_auto_install --builddirectory=debian/shared-build
	find debian/tmp -name '*.la' -delete
	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*
	chrpath -d debian/tmp/$(LIBDIR)/pmix2/lib/pmix/*.so

## pmix 5.0.1

=== debian/changelog ===
pmix (5.0.1-4.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:38:57 +1100

pmix (5.0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063262

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:54:59 +0000

pmix (5.0.1-4) unstable; urgency=medium

  * Drop unused cyth* files. Closes: #1054737, #1056831

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Dec 2023 08:51:51 +0000

pmix (5.0.1-3) unstable; urgency=medium

  * Fix for build on Hurd-amd64. Thanks to Sam Thibault. Closes: #1055363

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Dec 2023 06:51:00 +0000

pmix (5.0.1-2) unstable; urgency=medium

  * Broken symlink: soname is 2.13.1 now. Closes: #1051870
  * Enable build-twice (delete autogenerated files).
    Closes: #1049253

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Sep 2023 16:32:00 +0100

pmix (5.0.1-1) unstable; urgency=medium

  * New upstream release. Closes: #1051729, #1043263

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Aug 2023 09:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pmix
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 13), 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
  dh-sequence-python3,
  chrpath,
  flex,
@@ -23,7 +24,7 @@
  libevent-dev,
  libjansson-dev,
  libltdl-dev,
- libmunge-dev [ !hurd-i386]
+ libmunge-dev [ !hurd-any]
 Standards-Version: 4.6.2
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
@@ -33,7 +34,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
+Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -41,7 +42,10 @@
  the Instant On initiative for rapid startup of applications at exascale
  and beyond.
  
-Package: libpmix2
+Package: libpmix2t64
+Provides: ${t64:Provides}
+Replaces: libpmix2
+Breaks: libpmix2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -55,7 +59,7 @@
 
 
 Package: libpmix-bin
-Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
+Depends:  ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev
@@ -64,7 +68,7 @@
  Exascale API. This package provides utilities for working with pmix.
 
 Package: python3-pmix
-Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2 (= ${binary:Version})
+Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,13 @@
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
 	rm -rf debian/static-build debian/shared-build
 	rm -f .gitmodules
+	# autogenerated files. Clean so double-build works
+	find . -name Makefile.in -delete
+	rm -f aclocal.m4 config/ar-lib config/autogen_found_items.m4 config/compile config/config.sub config/depcomp \
+		config/install-sh config/libtool.m4 config/config.guess config/ltmain.sh config/ltoptions.m4 \
+		config/ltsugar.m4 config/lt~obsolete.m4 config/ltversion.m4 config/mca_library_paths.txt \
+		config/missing config/test-driver config/ylwrap configure src/include/pmix_config.h.in \
+		src/include/pmix_frameworks.c src/include/pmix_frameworks.h include/pmix_version.h
 
 override_dh_autoreconf:
 	./autogen.pl --force

## pmix 5.0.2

=== debian/changelog ===
pmix (5.0.2-3) unstable; urgency=medium

  * Update symlink to 2.13.2

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Apr 2024 11:09:18 +0100

pmix (5.0.2-2) unstable; urgency=medium

  * Build-dep on architecture-is-64-bit. Closes: #1068211

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Apr 2024 08:39:16 +0100

pmix (5.0.2-1) unstable; urgency=medium

  * New upstream release
  * Add oac-config.patch for missing config pieces

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Mar 2024 20:50:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pmix
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
+ architecture-is-64-bit,
  dh-sequence-python3,
  chrpath,
  flex,

## pmix 5.0.3

=== debian/changelog ===
pmix (5.0.3-2) unstable; urgency=medium

  * Update symlink to 2.13.3. Closes: #1076148

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Jul 2024 10:05:34 +0100

pmix (5.0.3-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Jul 2024 06:51:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pmix
 Section: net
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
  architecture-is-64-bit,
  dh-sequence-python3,
@@ -25,10 +26,10 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-any]
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pmix/pmix
-Vcs-Browser: https://salsa.debian.org:/science-team/pmix.git
-Vcs-Git: https://salsa.debian.org:/science-team/pmix.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/pmix.git
+Vcs-Git: https://salsa.debian.org/science-team/pmix.git -b debian/latest
 
 Package: libpmix-dev
 Section: libdevel

## pmix 5.0.6

=== debian/changelog ===
pmix (5.0.6-3) unstable; urgency=medium

  * Drop unnecessary dep on python3-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2025 05:52:01 +0000

pmix (5.0.6-2) unstable; urgency=medium

  * Update symlink to 2.13.6

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2025 05:51:04 +0000

pmix (5.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jan 2025 06:27:47 +0000

pmix (5.0.5-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete 32-bit code
  * Update symlink to 2.13.5

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Dec 2024 05:44:01 +0000

pmix (5.0.4-1) unstable; urgency=medium

  * New  upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2024 07:31:23 +0000

pmix (5.0.4~rc1-1) experimental; urgency=medium

  * New upstream release
  * libpmix-dev: depend on python3-sphinx, libjs-jquery
  * Update symlink to 2.3.14

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Nov 2024 09:49:11 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-recommonmark,
- libpsm-infinipath1-dev [amd64 i386],
+ libjs-jquery,
+ libpsm-infinipath1-dev [amd64],
  libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
  libcurl4-gnutls-dev | libcurl-dev,
@@ -35,7 +36,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Drepends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}), libevent-dev, libhwloc-dev, zlib1g-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
+	 libevent-dev, libhwloc-dev, zlib1g-dev,
+	 libjs-jquery
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing

## pmix 5.0.7

=== debian/changelog ===
pmix (5.0.7-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:22:46 +0000

pmix (5.0.7-1) unstable; urgency=medium

  * New upstream release
  * Update link to libpmix.2.13.7

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Mar 2025 14:12:29 +0000

pmix (5.0.6-5) unstable; urgency=medium

  * Fix python3-pmix depends. Closes: #1099555

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Mar 2025 11:23:58 +0000

pmix (5.0.6-4) unstable; urgency=medium

  * Update hurd-fix.patch. Thanks Samuel Thibault. Closes: #1088833
  * Standards-Version: 4.7.2
  * Close old bug. Closes: #1088217

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2025 14:52:08 +0000

  * Drop unnecessary dep on python3-sphinx

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Feb 2025 05:52:01 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/, filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/" \
  https://github.com/openpmix/openpmix/tags .*/v?(\d\S+)\.tar\.gz

## pmix 6.0.0

=== debian/changelog ===
pmix (6.0.0-3) unstable; urgency=medium

  * Add Breaks on libopenmpi. Closes: #1112049

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Aug 2025 09:03:21 +0100

pmix (6.0.0-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 16:02:01 +0100

pmix (6.0.0-1) experimental; urgency=medium

  * New upstream release
  * Add patch fix-missing-macro.patch
  * Update symlinks to 2.18.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Jun 2025 12:13:22 +0100

pmix (5.0.8-1) experimental; urgency=medium

  * New upstream release
  * Update symlinks to 2.13.8

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 May 2025 10:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  libjansson-dev,
  libltdl-dev,
  libmunge-dev [ !hurd-any]
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/pmix/pmix
 Vcs-Browser: https://salsa.debian.org/science-team/pmix.git
 Vcs-Git: https://salsa.debian.org/science-team/pmix.git -b debian/latest
@@ -39,6 +39,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
 	 libjs-jquery
+Breaks: libopenmpi-dev (>= 5.0.8-1)
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -49,7 +50,7 @@
 Package: libpmix2t64
 Provides: ${t64:Provides}
 Replaces: libpmix2
-Breaks: libpmix2 (<< ${source:Version})
+Breaks: libpmix2 (<< ${source:Version}), libopenmpi-dev (>= 5.0.8-1)
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -72,7 +73,7 @@
  Exascale API. This package provides utilities for working with pmix.
 
 Package: python3-pmix
-Depends: python3, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
+Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev

=== debian/rules ===
--- 
+++ 
@@ -8,23 +8,15 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED:= pmix-mca-params.conf
+AUTOGENERATED   := $(patsubst %.in,%,$(wildcard debian/*.in))
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
-PSM_ARCH= amd64 i386
+PSM_ARCH= amd64
 UCX_ARCH= amd64 arm64 ppc64el
 PSM2_ARCH= amd64 
 PSM2:= $(if $(filter $(DEB_TARGET_ARCH),$(PSM2_ARCH)), --with-psm2, )
 UCX:=  $(if $(filter $(DEB_TARGET_ARCH),$(UCX_ARCH)), --with-ucx=/usr, )
 
-
-ifneq (,$(filter $(DEB_HOST_ARCH), armel mipsel sh4 m68k ))
-  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
-endif
-
-ifneq (,$(filter $(DEB_HOST_ARCH), mipsel))
-  export DEB_CFLAGS_MAINT_APPEND += -g1
-endif
 
 export LD_LIBRARY_PATH:=$(CURDIR)/debian/tmp/$(LIBDIR)/pmix2/lib:$(LD_LIBRARY_PATH)
 
@@ -67,7 +59,7 @@
 override_dh_autoreconf:
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
-                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
+                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < $$f.in  > $$f ; \
                 done
 
 override_dh_auto_configure:

## pmix 6.0.0%2Breally5.0.9

=== debian/changelog ===
pmix (6.0.0+really5.0.9-3build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:48:15 +0000

pmix (6.0.0+really5.0.9-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-dev, not python3-all-dev (closes: #1119801).

 -- Colin Watson <cjwatson@debian.org>  Sun, 30 Nov 2025 19:18:34 +0000

pmix (6.0.0+really5.0.9-2) unstable; urgency=medium

  * Team upload.
  * debian patch tcp_loopback_PR3718.patch applies upstream PR#3718 to
    fix use of the loopback lo interface with tcp connections. Needed
    now that pmix 5.0.9 activates foreign tool support by default
    (remote connections are used). Closes: #1120424.

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Nov 2025 21:52:57 +0100

pmix (6.0.0+really5.0.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix broken symlinks (closes: #1120141)

 -- Gilles Filippini <pini@debian.org>  Thu, 06 Nov 2025 22:01:46 +0100

pmix (6.0.0+really5.0.9-1) unstable; urgency=medium

  * Move to latest bugfix release. Closes: #1119761
  * Move d/watch to version 4 syntax

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Nov 2025 08:33:51 +0000

pmix (6.0.0+really5.0.8-1) unstable; urgency=medium

  * Revert to 5.0.8 for now. Closes: #1114459

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2025 14:05:27 +0100

## pmix 6.0.0%2Breally5.0.10~rc1

=== debian/changelog ===
pmix (6.0.0+really5.0.10~rc1-1) experimental; urgency=medium

  [ Colin Watson ]
  * Drop libpsm-infinipath-dev. Closes: #1101520

  [ Alastair McKinstry ]
  * New upstream release
  * Move d/copyright to DEP-5
  * Use sphinxdoc to avoid libjs
  * Drop merged patch: fix-missing-macro.patch
  * Drop merged patch: tcp_loopback_PR3718.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Dec 2025 14:06:59 +0000

## pmix 6.0.0+really5.0.8

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
 	 libjs-jquery
-Breaks: libopenmpi-dev (>= 5.0.8-1)
 Description: Development files for the PMI Exascale library  
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -50,7 +49,7 @@
 Package: libpmix2t64
 Provides: ${t64:Provides}
 Replaces: libpmix2
-Breaks: libpmix2 (<< ${source:Version}), libopenmpi-dev (>= 5.0.8-1)
+Breaks: libpmix2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same

## pmix 6.0.0+really5.0.9

=== bindings/python/requirements.txt ===
cython
setuptools

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), 
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  architecture-is-64-bit,
  dh-sequence-python3,
  chrpath,
  flex,
  bison,
  libfl-dev,
- python3-all-dev,
+ python3-dev,
  cython3,
  python3-setuptools,
  python3-sphinx,
@@ -39,13 +39,13 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
 	 libjs-jquery
-Description: Development files for the PMI Exascale library  
+Description: Development files for the PMI Exascale library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
- PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
+ PMI-1 and PMI-2 definitions, and any future PMI releases; Support
  the Instant On initiative for rapid startup of applications at exascale
  and beyond.
- 
+
 Package: libpmix2t64
 Provides: ${t64:Provides}
 Replaces: libpmix2
@@ -57,7 +57,7 @@
 Description: Process Management Interface (Exascale) library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
- PMI-1 and PMI-2 definitions, and any future PMI releases; Support 
+ PMI-1 and PMI-2 definitions, and any future PMI releases; Support
  the Instant On initiative for rapid startup of applications at exascale
  and beyond.

## pmix 6.0.0+really5.0.10~rc1

=== debian/changelog ===
pmix (6.0.0+really5.0.10~rc1-2) experimental; urgency=medium

  * First autopkgtests
  * Update links: soversion now 2.23.0
  * Enable ESMTP; build-dep on libesmtp-dev
  * Enable IPv6
  * Fix Jansson support
  * Fix python3-pmix install: .so and .py files should not be in *egg
    directories
  * Build-dep on python3-all-dev and build/install python files for
    each python3 version
  * mdash.patch: Fix bad-whatis errors in manpages
  * d/control: python3-pmix in section: python

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 07 Dec 2025 17:05:40 +0000

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
  flex,
  bison,
  libfl-dev,
- python3-dev,
+ libesmtp-dev,
+ python3-all-dev,
  cython3,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-recommonmark,
  libjs-jquery,
- libpsm-infinipath1-dev [amd64],
+ sphinx,
  libucx-dev [amd64 arm64 ppc64el],
  libpsm2-dev [amd64],
  libcurl4-gnutls-dev | libcurl-dev,
@@ -38,7 +39,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpmix2t64 (= ${binary:Version}),
 	 libevent-dev, libhwloc-dev, zlib1g-dev,
-	 libjs-jquery
+	  ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Development files for the PMI Exascale library
  This is the OpenMPI implementation of the Process Management Interface (PMI)
  Exascale API. PMIx aims to retain transparent compatibility with the existing
@@ -72,7 +74,8 @@
  Exascale API. This package provides utilities for working with pmix.
 
 Package: python3-pmix
-Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, libpmix2t64 (= ${binary:Version})
+Section: python
+Depends: ${python3:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: foreign
 Recommends: libpmix-dev

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 export DH_VERBOSE=1
 
-
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+PY3VERS:=$(shell py3versions --supported)
+PY3DEFAULT:=$(shell py3versions --default -v)
+PYDIR:=debian/python3-pmix/usr/lib/python3/dist-packages
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
-AUTOGENERATED   := $(patsubst %.in,%,$(wildcard debian/*.in))
+AUTOGENERATED:= pmix-mca-params.conf
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)  -fPIC
 
 PSM_ARCH= amd64
@@ -25,7 +28,7 @@
 export USER=username
 
 %:
-	dh $@ 
+	dh $@ --with sphinxdoc
 
 BUILD_FLAGS:= \
 	$(PSM2) \
@@ -36,8 +39,10 @@
 	--sysconfdir=$(LIBDIR)/pmix2/share \
 	--datarootdir=$(LIBDIR)/pmix2/share \
 	--with-curl \
+	--enable-ipv6 \
 	--with-zlib=/usr \
 	--with-zlib-libdir=$(LIBDIR) \
+	--with-jansson=/usr \
 	--with-jansson-libdir=$(LIBDIR) \
 	--with-hwloc=/usr \
 	--with-hwloc-libdir=$(LIBDIR) \
@@ -46,7 +51,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})
-	rm -rf debian/static-build debian/shared-build
+	rm -rf debian/static-build debian/shared-build*
 	rm -f .gitmodules
 	# autogenerated files. Clean so double-build works
 	find . -name Makefile.in -delete
@@ -59,7 +64,7 @@
 override_dh_autoreconf:
 	./autogen.pl --force
 	for f in ${AUTOGENERATED} ; do \
-                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < $$f.in  > $$f ; \
+                sed -e 's%@DEB_HOST_MULTIARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                 done
 
 override_dh_auto_configure:
@@ -67,6 +72,9 @@
 		--enable-static 
 	dh_auto_configure --builddirectory=debian/shared-build -- $(BUILD_FLAGS) \
 		--enable-shared
+	for p in $(PY3VERS)  ; do \
+		PYTHON=$$p	dh_auto_configure --builddirectory=debian/shared-build-$$p -- $(BUILD_FLAGS) \
+		--enable-shared ; done
 
 override_dh_auto_build:
 	# Hack - build system doesn't work well with builddirs
@@ -77,11 +85,23 @@
 	cp bindings/python/pmix.* debian/shared-build/bindings/python
 	dh_auto_build  --builddirectory=debian/static-build
 	dh_auto_build  --builddirectory=debian/shared-build
+	for p in $(PY3VERS)  ; do \
+		cp include/*.h debian/shared-build-$$p/include ; \
+		cp bindings/python/pmix.* debian/shared-build-$$p/bindings/python ; \
+		PYTHON=$$p dh_auto_build  --builddirectory=debian/shared-build-$$p ; \
+		done
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/static-build
 	dh_auto_install --builddirectory=debian/shared-build
+	for p in $(PY3VERS)  ; do \
+		PYTHON=$$p dh_auto_install  --builddirectory=debian/shared-build-$$p ; \
+		done
 	find debian/tmp -name '*.la' -delete
 	chrpath -d debian/tmp/$(LIBDIR)/pmix2/bin/*
 	chrpath -d debian/tmp/$(LIBDIR)/pmix2/lib/pmix/*.so
 
+execute_after_dh_python3:
+	mkdir -p $(PYDIR)/pmix
+	mv $(PYDIR)/*egg/*.so $(PYDIR)/pmix
+	mv  $(PYDIR)/pypmix-*-py$(PY3DEFAULT)-linux-*.egg/*.py $(PYDIR)/pmix

=== debian/tests/control ===
Tests: python3-pmix-loads
Depends: @, python3-pmix, python3-all
Restrictions: superficial

Tests: pmix-info-works
Depends: libpmix-bin
